<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.rongwei.bscommon.sys.dao.SrmEightDListDao">
    <resultMap id="BaseResultMap" type="com.rongwei.bsentity.domin.SrmEightDListDo">
        <id column="ID" jdbcType="VARCHAR" property="id"/>
        <result column="TENANTID" jdbcType="VARCHAR" property="tenantid"/>
        <result column="ROPTION" jdbcType="VARCHAR" property="roption"/>
        <result column="DELETED" jdbcType="VARCHAR" property="deleted"/>
        <result column="REMARK" jdbcType="VARCHAR" property="remark"/>
        <result column="CREATEDATE" jdbcType="TIMESTAMP" property="createdate"/>
        <result column="CREATEUSERID" jdbcType="VARCHAR" property="createuserid"/>
        <result column="MODIFYDATE" jdbcType="TIMESTAMP" property="modifydate"/>
        <result column="MODIFYUSERID" jdbcType="VARCHAR" property="modifyuserid"/>
        <result column="CREATEUSERNAME" jdbcType="VARCHAR" property="createusername"/>
        <result column="MODIFYUSERNAME" jdbcType="VARCHAR" property="modifyusername"/>
        <result column="EDPROBLEMTYPE" jdbcType="VARCHAR" property="edproblemtype"/>
        <result column="EDPROBLEMNO" jdbcType="VARCHAR" property="edproblemno"/>
        <result column="EDPROBLEMNAME" jdbcType="VARCHAR" property="edproblemname"/>
        <result column="EDSTARTDATE" jdbcType="TIMESTAMP" property="edstartdate"/>
        <result column="EDPRODEPARTMENT" jdbcType="VARCHAR" property="edprodepartment"/>
        <result column="EDPROBLEMDESCRIPTION" jdbcType="VARCHAR" property="edproblemdescription"/>
        <result column="EDTEMMEASUREEDTIME" jdbcType="TIMESTAMP" property="edtemmeasureedtime"/>
        <result column="EDFEMEASUREEDTIME" jdbcType="TIMESTAMP" property="edfemeasureedtime"/>
        <result column="EDISSUESTATUS" jdbcType="VARCHAR" property="edissuestatus"/>
        <result column="GROUPMRMBRR" jdbcType="VARCHAR" property="groupmrmbrr"/>
        <result column="EDFEVERIFICATION" jdbcType="VARCHAR" property="edfeverification"/>
        <result column="EDFVVERIFIER" jdbcType="VARCHAR" property="edfvverifier"/>
        <result column="EDFVVERIFIERTIME" jdbcType="TIMESTAMP" property="edfvverifiertime"/>
        <result column="UPDATEPFMEA" jdbcType="VARCHAR" property="updatepfmea"/>
        <result column="RESPOMSIBLEPERSONPFMEA" jdbcType="VARCHAR" property="respomsiblepersonpfmea"/>
        <result column="PLANEDTIMEPFME" jdbcType="TIMESTAMP" property="planedtimepfme"/>
        <result column="UPFATECONTROLPLAN" jdbcType="VARCHAR" property="upfatecontrolplan"/>
        <result column="CONTROPLANEDTIME" jdbcType="TIMESTAMP" property="controplanedtime"/>
        <result column="RESPOMSIBLEPERSONPLAN" jdbcType="VARCHAR" property="respomsiblepersonplan"/>
        <result column="UPDATESOP" jdbcType="VARCHAR" property="updatesop"/>
        <result column="RESPOMSIBLEPERSONSOP" jdbcType="VARCHAR" property="respomsiblepersonsop"/>
        <result column="PLANEDTIMESOP" jdbcType="TIMESTAMP" property="planedtimesop"/>
        <result column="UPDATESYSFILE" jdbcType="VARCHAR" property="updatesysfile"/>
        <result column="RESPOMSIBLEPERSONFILE" jdbcType="VARCHAR" property="respomsiblepersonfile"/>
        <result column="PLANEDTIMESOPFILE" jdbcType="TIMESTAMP" property="planedtimesopfile"/>
        <result column="ISHORIZONTALEXPANSION" jdbcType="VARCHAR" property="ishorizontalexpansion"/>
        <result column="RESPOMSIBLEPERSONH" jdbcType="VARCHAR" property="respomsiblepersonh"/>
        <result column="PLANEDTIMESOPH" jdbcType="TIMESTAMP" property="planedtimesoph"/>
        <result column="SYSPREVENTIVEMEASURE" jdbcType="VARCHAR" property="syspreventivemeasure"/>
        <result column="SYSPREVENTIVETIME" jdbcType="TIMESTAMP" property="syspreventivetime"/>
        <result column="REMAKE" jdbcType="VARCHAR" property="remake"/>
        <result column="TCQAQC" jdbcType="VARCHAR" property="tcqaqc"/>
        <result column="PRODUCTIONMGR" jdbcType="VARCHAR" property="productionmgr"/>
        <result column="UPLOADFILE" jdbcType="VARCHAR" property="uploadfile"/>
        <result column="ISDELIVER" jdbcType="VARCHAR" property="isdeliver"/>
        <result column="SPA" jdbcType="VARCHAR" property="spa"/>
        <result column="SPAUSERID" jdbcType="VARCHAR" property="spauserid"/>
        <result column="PROCESSINSTID" jdbcType="VARCHAR" property="processinstid"/>
        <result column="PROCESSINSTSTATUS" jdbcType="VARCHAR" property="processinststatus"/>
        <result column="PFEMADESCRIPTION" jdbcType="VARCHAR" property="pfemadescription"/>
        <result column="PLANDESCRIPTION" jdbcType="VARCHAR" property="plandescription"/>
        <result column="SOPDESCRIPTION" jdbcType="VARCHAR" property="sopdescription"/>
        <result column="FILEDESCRIPTION" jdbcType="VARCHAR" property="filedescription"/>
        <result column="HDESCRIPTION" jdbcType="VARCHAR" property="hdescription"/>
    </resultMap>
    <sql id="Base_Column_List">
        ${alias}ID AS ${prefix}ID, ${alias}TENANTID AS ${prefix}TENANTID, ${alias}ROPTION AS ${prefix}ROPTION, ${alias}DELETED AS ${prefix}DELETED,
        ${alias}REMARK AS ${prefix}REMARK, ${alias}CREATEDATE AS ${prefix}CREATEDATE, ${alias}CREATEUSERID AS ${prefix}CREATEUSERID,
        ${alias}MODIFYDATE AS ${prefix}MODIFYDATE, ${alias}MODIFYUSERID AS ${prefix}MODIFYUSERID,
        ${alias}CREATEUSERNAME AS ${prefix}CREATEUSERNAME, ${alias}MODIFYUSERNAME AS ${prefix}MODIFYUSERNAME, ${alias}EDPROBLEMTYPE AS ${prefix}EDPROBLEMTYPE,
        ${alias}EDPROBLEMNO AS ${prefix}EDPROBLEMNO, ${alias}EDPROBLEMNAME AS ${prefix}EDPROBLEMNAME, ${alias}EDSTARTDATE AS ${prefix}EDSTARTDATE,
        ${alias}EDPRODEPARTMENT AS ${prefix}EDPRODEPARTMENT, ${alias}EDPROBLEMDESCRIPTION AS ${prefix}EDPROBLEMDESCRIPTION,
        ${alias}EDTEMMEASUREEDTIME AS ${prefix}EDTEMMEASUREEDTIME, ${alias}EDFEMEASUREEDTIME AS ${prefix}EDFEMEASUREEDTIME,
        ${alias}EDISSUESTATUS AS ${prefix}EDISSUESTATUS, ${alias}GROUPMRMBRR AS ${prefix}GROUPMRMBRR, ${alias}EDFEVERIFICATION AS ${prefix}EDFEVERIFICATION,
        ${alias}EDFVVERIFIER AS ${prefix}EDFVVERIFIER, ${alias}EDFVVERIFIERTIME AS ${prefix}EDFVVERIFIERTIME, ${alias}UPDATEPFMEA AS ${prefix}UPDATEPFMEA,
        ${alias}RESPOMSIBLEPERSONPFMEA AS ${prefix}RESPOMSIBLEPERSONPFMEA,  ${alias}PLANEDTIMEPFME AS ${prefix}PLANEDTIMEPFME, ${alias}UPFATECONTROLPLAN AS ${prefix}UPFATECONTROLPLAN,
        ${alias}CONTROPLANEDTIME AS ${prefix}CONTROPLANEDTIME, ${alias}RESPOMSIBLEPERSONPLAN AS ${prefix}RESPOMSIBLEPERSONPLAN, ${alias}UPDATESOP AS ${prefix}UPDATESOP,
        ${alias}RESPOMSIBLEPERSONSOP AS ${prefix}RESPOMSIBLEPERSONSOP, ${alias}PLANEDTIMESOP AS ${prefix}PLANEDTIMESOP,
        ${alias}UPDATESYSFILE AS ${prefix}UPDATESYSFILE, ${alias}RESPOMSIBLEPERSONFILE AS ${prefix}RESPOMSIBLEPERSONFILE,
        ${alias}PLANEDTIMESOPFILE AS ${prefix}PLANEDTIMESOPFILE, ${alias}ISHORIZONTALEXPANSION AS ${prefix}ISHORIZONTALEXPANSION,
        ${alias}RESPOMSIBLEPERSONH AS ${prefix}RESPOMSIBLEPERSONH, ${alias}PLANEDTIMESOPH AS ${prefix}PLANEDTIMESOPH, ${alias}SYSPREVENTIVEMEASURE AS ${prefix}SYSPREVENTIVEMEASURE,
        ${alias}SYSPREVENTIVETIME AS ${prefix}SYSPREVENTIVETIME, ${alias}REMAKE AS ${prefix}REMAKE, ${alias}TCQAQC AS ${prefix}TCQAQC,
        ${alias}PRODUCTIONMGR AS ${prefix}PRODUCTIONMGR, ${alias}UPLOADFILE AS ${prefix}UPLOADFILE, ${alias}ISDELIVER AS ${prefix}ISDELIVER,
        ${alias}SPA AS ${prefix}SPA, ${alias}SPAUSERID AS ${prefix}SPAUSERID, ${alias}PROCESSINSTID AS ${prefix}PROCESSINSTID,
        ${alias}PROCESSINSTSTATUS AS ${prefix}PROCESSINSTSTATUS, ${alias}PFEMADESCRIPTION AS ${prefix}PFEMADESCRIPTION,
        ${alias}PLANDESCRIPTION AS ${prefix}PLANDESCRIPTION, ${alias}SOPDESCRIPTION AS ${prefix}SOPDESCRIPTION,
        ${alias}FILEDESCRIPTION AS ${prefix}FILEDESCRIPTION, ${alias}HDESCRIPTION AS ${prefix}HDESCRIPTION
    </sql>
</mapper>
